.\" exercise the -ms package. execute with:   nroff -ms report.ms
.\"
.\" redefine the page footer. note that to change any, you MUST change the
.\" center (CF), even making it a blank with:   .ds CF "\0
.ds CF Center Footer
.ds LF Left
.ds RF Right
.\" title of the paper. note the special characters via strings Q, -, and U
.TL
The \*QDefinitive\*U Test of My -ms Macro Package \*-
How to Get Gray Hair
.\" author of the paper
.AU
by

Bill Rosenkranz
rosenkra@convex.com
.\" author's organization
.AI
Convex Computer Corporation
Syracuse Sales Office
.\" abstract. this is indented and shorter line. note the new heading for it
.AB SUMMARY
This is the abstract.
I have nothing really to say here except that the rest of this document
exercises the following macros: SH, PP, XP, QP, RS, RE.
Output is comparable to "real" nroff -ms, more or less.
Note that there is a seperate test for NH-style headers which are not included
here.
.AE
.SH
Section 1
.PP
This is text for section 1.
It is very nice text, though a bit boring!
As you will see.
I needed enough stuff here to make the page break so we can see the
header line on Page 2.
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
This is text for section 1.
It is very nice text, though a bit boring!
.PP
This is yet more text for section 1.
I warned you.
It is also very nice text, though a bit boring!
This is yet more text for section 1.
It is very nice text, though a bit boring!
Don't you think?
This is yet more text for section 1.
It is very nice text, though a bit boring!
This is yet more text for section 1.
It is very nice text, though a bit boring!
This is yet more text for section 1.
This is yet more text for section 1.
This is yet more text for section 1.
It is very nice text, though a bit boring!
This is yet more text for section 1.
It is very nice text, though a bit boring!
.PP
Ok, here is something a bit more interesting: a relative indent!
.RS
.sp
This is a relative indent.
It should be indented on the left but the line should end on the right
where it does in normal text.
.sp
This is another relative indent.
.sp
How about another?
.sp
Ok, that is just about enough.
Now we end the RS with a RE.
Note that RS/RE pairs can be nested, as the following example shows:
.RS
.sp
this is one more level.
.RS
.sp
this is one more level.
.RS
.sp
this is one more level.
.RE
.sp
this is one less level.
.RE
.sp
this is one less level.
.RE
.RE
.PP
Now we should be back to normal.
Just make sure there is an RE for every RS (sorry, no checking is done).
This is still more text for section 1.
Still very, very, boring.
This is still more text for section 1.
This is still more text for section 1.
Still very, very, boring.
This is still more text for section 1.
Still very, very, boring.
.SH
Section 2
.PP
Now we are at the next major section.
This is text for section 2.
Still very, very, boring.
This is text for section 2.
This is text for section 2.
Still very, very, boring.
This is text for section 2.
Still very, very, boring.
This is text for section 2.
This is text for section 2.
This is text for section 2.
Still very, very, boring.
This is text for section 2.
Still very, very, boring.
.QP
This is a quoted paragraph.
Notice how the text is indented at both margins?
Use QP just like any other paragraph macro, but make sure you use a PP or LP
after it to reset the indent and line length!
.PP
Ok, back to normal again.
This is more text for section 2.
When will this ever end!
This is more text for section 2.
This is more text for section 2.
This is more text for section 2.
When will this ever end!
This is more text for section 2.
This is more text for section 2.
When will this ever end!
.PP
Here we try the extended paragraph which is like the invers of PP.
It does not indent the first line, but does indent all subsequent lines.
It is useful for bibliographic entries, such as:
.XP
Del Piombo, Akbar,
"Sex Life of the Turtle",
Nimrod Press,
Chicago, Illinois,
July, 1990.
5023 pages.
The pioneering work in the field.
.PP
Just make sure to do PP or LP when finished, though you could do the
entire document this way, just to be different.
Here I used PP to get back to "normal".
